FilterWhereClause

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.send.java
Class FilterWhereClause

    java.lang.Object
      org.openswing.swing.message.send.java.FilterWhereClause

All Implemented Interfaces:
  java.io.Serializable

public class FilterWhereClause
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Filter where clause, used to set a WHERE condition for an attribute. This object is passed to the server side through GridParams object.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`FilterWhereClause(java.lang.String attributeName, java.lang.String operator, java.lang.Object value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAttributeName()`
`java.lang.String` | `getOperator()`
`java.lang.Object` | `getValue()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterWhereClause

    public FilterWhereClause(java.lang.String attributeName,
                             java.lang.String operator,
                             java.lang.Object value)

Parameters:
  `attributeName` - attribute name
  `operator` - operator; possible values: =, is null, is not null, <, >, <=, >=
  `value` - attribute value

Method Detail

### getAttributeName

    public final java.lang.String getAttributeName()

  Returns:
    attribute value

### getOperator

    public final java.lang.String getOperator()

  Returns:
    operator; possible values: =, is null, is not null, <, >, <=, >=

### getValue

    public final java.lang.Object getValue()

  Returns:
    attribute value

### equals

    public final boolean equals(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD